Page MenuHomePhabricator

Remove Opera<12.1 CSS properties from OOjs UI mixins
Closed, ResolvedPublic

Description

OOjs UI has still several Opera<12.1 CSS vendor prefixes around. Even MediaWiki browser support matrix states, that Opera version equal and higher than 12.1 are Grade A browsers. VisualEditor Target browser matrix is explicit about not supporting Op < 12 (I guess it should be 12.1 and higher when Opera picked up Blink rendering engine).

Let's clean up and remove them.

Event Timeline

Volker_E created this task.Oct 24 2015, 1:53 AM
Volker_E claimed this task.
Volker_E raised the priority of this task from to Low.
Volker_E updated the task description. (Show Details)
Volker_E added projects: UI-Standardization, OOUI.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 24 2015, 1:53 AM
Volker_E added a comment.EditedOct 24 2015, 2:18 AM

The latest available (before it was stopped) traffic analysis report on browser versions doesn't mention once Opera 11, although older Opera 12 version have several million requests.
I'd go and remove -o-animations, -o-transitions and -o-transforms for now and still let -o-linear-gradient stay, as there's also this picture.

Change 248588 had a related patch set uploaded (by VolkerE):
Remove obsolete Opera<12.1 vendor prefixes

https://gerrit.wikimedia.org/r/248588

Volker_E moved this task from Backlog to Doing on the OOUI board.Oct 24 2015, 2:31 AM
Volker_E moved this task from Unsorted to Doing… on the UI-Standardization board.

Change 248588 merged by jenkins-bot:
Remove obsolete Opera<12.1 vendor prefixes

https://gerrit.wikimedia.org/r/248588

Volker_E moved this task from Doing… to Done on the UI-Standardization board.Nov 5 2015, 4:21 AM
Volker_E set Security to None.

Merged patches related to this:

Last one still pending:

The only remaining -o--prefixed property after that is -o-linear-gradient, used as a hack to give Opera 12 PNG images instead of SVG in some cases, which we're going to keep for now.

Volker_E closed this task as Resolved.Jan 27 2016, 6:15 PM
Volker_E removed a project: Patch-For-Review.
Danny_B moved this task from Done to OOUI on the UI-Standardization board.May 20 2016, 8:53 PM
Jdforrester-WMF moved this task from Doing to OOjs-UI-0.15.2 on the OOUI board.May 30 2016, 4:04 PM
Jdforrester-WMF edited projects, added OOUI (OOjs-UI-0.15.2); removed OOUI.